Subject: Re: bug#54878: 29.0.50; diary-fancy-display - with-current-buffer nil

From: Andreas Röhler <[email-masked]>
Date: Tue, 12 Apr 2022 21:13:43 +0200

Am 12.04.22 um 12:19 schrieb Lars Ingebrigtsen:
> Andreas Röhler<[email-masked]>  writes:
>
>> Error from M-x calendar RET, backtrace below.
>>
>> Caused by custom-file content of
>>
>>   '(calendar-mark-diary-entries-flag t)
>>   '(calendar-view-diary-initially-flag t)
>>
>> Error from ‘diary-fancy-display’
>>
>> (with-current-buffer (find-buffer-visiting diary-file)
>>
>> and get ‘nil’ from ‘(find-buffer-visiting diary-file)’.
> I'm unable to reproduce this in Emacs 29.
>
> emacs -Q
> M-:  (setq calendar-mark-diary-entries-flag t
>         calendar-view-diary-initially-flag t)
> M-x calendar
>
> I don't get any errors.  I guess I need a diary file for today to
> reproduce the problem?  What do you have?
>
  In ~/.emacs.d/diary exists an empty foo.org

Getting in *Messages*:

diary-list-entries: Wrong type argument: stringp, nil